[![Build Status](https://github.com/gap-packages/nilmat/workflows/CI/badge.svg?branch=master)](https://github.com/gap-packages/nilmat/actions?query=workflow%3ACI+branch%3Amaster)
[![Code Coverage](https://codecov.io/github/gap-packages/nilmat/coverage.svg?branch=master&token=)](https://codecov.io/gh/gap-packages/nilmat)

# The Nilmat package

This is the README file for the GAP package "Nilmat".

This package contains methods for checking whether a given matrix group
is nilpotent and for computing with nilpotent matrix groups. The considered
matrix groups may be matrix groups over a finite field or the field of
rational numbers.

The Nilmat package is written in GAP code only and does not use
external binaries. To install the package, you only need to move
it into the directory pkg of your GAP installation. To load the
package, you only need to start GAP and type

    LoadPackage("nilmat");

The `Nilmat` package banner should appear on the screen.


## Documentation

For details on how to use the Nilmat package see the HTML
package documentation in the `htm` subdirectory, or the PDF file
`doc/manual.pdf`.
Before using the package, please pay attention to the bugfix
information in Chapter 4 of the manual.

  Alla Detinko (Galway)
  Bettina Eick (Braunschweig)
  Dane Flannery (Galway)


## Bug reports and feature requests

Please submit bug reports and feature requests via our GitHub issue tracker:

  <https://github.com/gap-packages/nilmat/issues>


## License

Copyright (C) 2007, 2017 Alla Detinko, Bettina Eick, Dane Flannery
<alla.detinko@nuigalway.ie>
<beick@tu-bs.de>
<dane.flannery@nuigalway.ie>

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This code is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty
of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

See the GNU General Public License for more details; the full text
is in the file LICENSE and also available at:
  <https://www.gnu.org/licenses/>
